keywords
Keywords a domain ranks for
POST
/
v1
/
keywords
/
domain
Keywords a domain ranks for
curl --request POST \
--url https://api.surnex.io/v1/keywords/domain \
--header 'Content-Type: application/json' \
--data '
{
"domain": "<string>",
"location_code": 2840,
"language_code": "en",
"limit": 100,
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.surnex.io/v1/keywords/domain"
payload = {
"domain": "<string>",
"location_code": 2840,
"language_code": "en",
"limit": 100,
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
domain: '<string>',
location_code: 2840,
language_code: 'en',
limit: 100,
project_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.surnex.io/v1/keywords/domain', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"data": [
{
"keyword": "<string>",
"search_volume": 123,
"keyword_difficulty": 123,
"cpc": 123,
"competition": 123,
"competition_index": 123,
"competition_level": "<string>",
"low_top_of_page_bid": 123,
"high_top_of_page_bid": 123,
"location_code": 123,
"language_code": "<string>",
"search_intent": "<string>",
"trend": [
{
"year": 123,
"month": 123,
"search_volume": 123
}
]
}
],
"cached": true
}
}{}Query Parameters
Body
application/json
⌘I
Keywords a domain ranks for
